1. VoiceThread Docs
  2. Troubleshooting
  3. Browser requirements

Browser requirements

VoiceThread is supported in full in:

  • Google Chrome
  • Mozilla Firefox

VoiceThreads can be opened and viewed, but audio and video cannot be recorded in the following browsers. As these browsers evolve to support HTML5, this may change.

  • Safari
  • Microsoft Edge

Exceptions: VoiceThread cannot support Internet Explorer for Mac OSX users or Safari for Windows users.  Internet Explorer does not support HTML5 and therefore cannot be used with VoiceThread.

For the best possible experience, your web browser should be fully up to date or no more than two major releases behind.

 

Was this article helpful?